%define major 6
%define libname %mklibname pgf %{major}
%define devname %mklibname pgf -d

Summary:	PGF (Progressive Graphics File) library
Name:		libpgf
Version:	6.14.12
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://www.libpgf.org
Source0:	http://downloads.sourceforge.net/project/%{name}/%{version}/%{name}-src-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	libtool

%description
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	PGF library
Group:		System/Libraries

%description -n %{libname}
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

%files -n %{libname}
%{_libdir}/libpgf.so.%{major}*

#----------------------------------------------------------------------------

%package doc
Summary:	libpgf documentation
Group:		Documentation
BuildArch:	noarch

%description doc
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

%files doc
%doc AUTHORS COPYING NEWS README
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	libpgf Development Files
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/libpgf.so
%{_libdir}/pkgconfig/libpgf.pc

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}

# Fix end-of-line-encoding (fixes compilation)
sed -i 's/\r$//' configure.ac

%build
./autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std


%changelog
* Sat Nov 15 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 6.14.12-1
+ Revision: becb730
- New version 6.14.12, new library major 6


